Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-4424

Overview

Vulnerability Score 6.5 6.5
CVE Id CVE-2005-4424
Last Modified 05 Sep 2008 04:56:51
Published 20 Dec 2005 06:03:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2005-4424

Summary

Directory traversal vulnerability in PHPKIT 1.6.1 R2 and earlier might allow remote authenticated users to execute arbitrary PHP code via a .. (dot dot) in the path parameter and a %00 at the end of the filename, as demonstrated by an avatar filename ending with .png%00.

Vulnerable Systems

Application

  • Phpkit 1.6.02

  • Phpkit 1.6.03

  • Phpkit 1.6.1


References

XF - phpkit-avatar-file-include(23014)

BID - 15354

OSVDB - 20562

MISC - http://www.hardened-php.net/advisory_212005.80.html

SECUNIA - 17479

BUGTRAQ - 20051105 Advisory 21/2005: Multiple vulnerabilities in PHPKIT

SREASON - 157


Last Updated: 27 May 2016 10:41:18